FROM openshift/golang-builder@sha256:4820580c3368f320581eb9e32cf97aeec179a86c5749753a14ed76410a293d83 AS builder
ENV __doozer=update BUILD_RELEASE=202202160023.p0.g8c1a5bc.assembly.stream BUILD_VERSION=v4.10.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=10 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.10.0-202202160023.p0.g8c1a5bc.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8c1a5bc OS_GIT_VERSION=4.10.0-202202160023.p0.g8c1a5bc.assembly.stream-8c1a5bc SOURCE_DATE_EPOCH=1636540841 SOURCE_GIT_COMMIT=8c1a5bcac1675711b51fffe88b40bb46f0e22db9 SOURCE_GIT_TAG=8c1a5bc SOURCE_GIT_URL=https://github.com/openshift/csi-livenessprobe 
WORKDIR /go/src/github.com/kubernetes-csi/livenessprobe
COPY . .
RUN make build

FROM openshift/ose-base:v4.10.0.20220216.010142
ENV __doozer=update BUILD_RELEASE=202202160023.p0.g8c1a5bc.assembly.stream BUILD_VERSION=v4.10.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=10 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.10.0-202202160023.p0.g8c1a5bc.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8c1a5bc OS_GIT_VERSION=4.10.0-202202160023.p0.g8c1a5bc.assembly.stream-8c1a5bc SOURCE_DATE_EPOCH=1636540841 SOURCE_GIT_COMMIT=8c1a5bcac1675711b51fffe88b40bb46f0e22db9 SOURCE_GIT_TAG=8c1a5bc SOURCE_GIT_URL=https://github.com/openshift/csi-livenessprobe 
COPY --from=builder /go/src/github.com/kubernetes-csi/livenessprobe/bin/livenessprobe /usr/bin/
ENTRYPOINT ["/usr/bin/livenessprobe"]

LABEL \
        License="ASL 2.0" \
        io.k8s.description="Liveness probe for CSI drivers" \
        io.k8s.display-name="Liveness probe for CSI drivers" \
        io.openshift.tags="csi,storage,probe" \
        vendor="Red Hat" \
        name="openshift/ose-csi-livenessprobe" \
        com.redhat.component="csi-livenessprobe-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202202160023.p0.g8c1a5bc.assembly.stream" \
        io.openshift.build.commit.id="8c1a5bcac1675711b51fffe88b40bb46f0e22db9" \
        io.openshift.build.source-location="https://github.com/openshift/csi-livenessprobe" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-livenessprobe/commit/8c1a5bcac1675711b51fffe88b40bb46f0e22db9" \
        version="v4.10.0"

